<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          Reviews
      </mat-chip>
  </mat-chip-list>
  
</div>


<div class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>Reviews</span>
      <div style="flex-grow:1;"></div>
      <button mat-raised-button type="button" style="cursor: pointer; margin: 4px;" (click)="delete()" color="accent">DELETE</button> 

    </div>

    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <div class="new">
    <table mat-table [dataSource]="dataSource" class="example-table"
             matSort matSortActive="created" matSortDisableClear matSortDirection="asc" style="width: 100%">
        <!-- Number Column -->
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Review ID </th>
            <td mat-cell *matCellDef="let row; let i=index"> {{i+1}} </td>
          </ng-container>
      
          <!-- Progress Column -->
          <ng-container matColumnDef="user_name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> User Name </th>
            <td mat-cell *matCellDef="let row"> {{row.user_name}} </td>
          </ng-container>
      
          <!-- Name Column -->
          <ng-container matColumnDef="product_name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Product Name</th>
            <td mat-cell *matCellDef="let row"> {{row.product_name}}</td>
          </ng-container>
      
          <!-- Color Column -->
          <ng-container matColumnDef="product_image">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Product Image </th>
            <td mat-cell *matCellDef="let row" > <img  [src]="row.images[0]=='undefined'? 'http://13.236.78.106/api/No_image_available.svg.png':row.images[0]" width="50px"> 
            </td>
          </ng-container>
      
          <ng-container matColumnDef="review"> 
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Review </th>
              <td mat-cell *matCellDef="let row" > {{row.review}} </td>
            </ng-container>

            <ng-container matColumnDef="rating">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Rating </th>
                <td mat-cell *matCellDef="let row" >{{row.count}}&nbsp;Stars
                    <!-- <span *ngFor="let numbers of number">
                        <p *ngIf = "row.count >= numbers" style="font-size: 20px; color:gold">&#x2605;</p>
                        <p *ngIf = "row.count < numbers"  style=" font-size: 20px; color:gold">&#9734;</p>
                    </span> -->
                        
                </td>
                <!-- <mat-icon>{{row.rating}}</mat-icon> -->
                <!-- <bar-rating [(rate)]="rate" [max]="5" [theme]="'stars'"></bar-rating> -->
              </ng-container>
              
              <ng-container matColumnDef="currentdate">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Date </th>
                <td mat-cell *matCellDef="let row" > {{row.currentdate}} </td>
              </ng-container>

              <ng-container matColumnDef="currenttime">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Time </th>
                <td mat-cell *matCellDef="let row" > {{row.currenttime}} </td>
              </ng-container>
           

                  <!-- <ng-container matColumnDef="order_status">
                      <th mat-header-cell *matHeaderCellDef mat-sort-header> Order Item  </th>
                      <td mat-cell *matCellDef="let row" >  <table>
                        <th>Sr No</th>&nbsp;&nbsp;
                        <th>Product name</th>&nbsp;&nbsp;
                        <th>Product GST</th>&nbsp;&nbsp;
                        <th>Product Country</th>&nbsp;&nbsp;
                        <th>Quantity</th>&nbsp;&nbsp;
                        <th>Product Total Quantity</th>&nbsp;&nbsp;
                        <th>product_type</th>&nbsp;&nbsp;
                        <th>product_image</th>&nbsp;&nbsp;
                        <tr *ngFor="let a of row.Orderitem; let i=index">
                          <td>{{i+1}}</td>&nbsp;&nbsp;
                          <td>{{a.product_name}}</td>&nbsp;&nbsp;
                          <td>{{a.gst_percentage}}</td>&nbsp;&nbsp;
                          <td>{{a.country}}</td>&nbsp;&nbsp;
                          <td>{{a.quantity}}</td>&nbsp;&nbsp;
                          <td>{{a.product_total_quantity}}</td>&nbsp;&nbsp;
                          <td>{{a.product_type}}</td>&nbsp;&nbsp;
                          <td><img src="{{a.product_image}}" width="50px"></td>
                          
                        </tr>
                      </table> </td>
                    </ng-container> -->
                  

          <ng-container matColumnDef="status">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Status</th>
              <td mat-cell *matCellDef="let row" ><a [matTooltip]="(isHandset$ | async) ? '' : 'change status'"
                matTooltipPosition="right"><mat-slide-toggle  (change)="onchange($event.checked,row.review_id)" [checked]="row.online_status==1?true:false"></mat-slide-toggle></a></td>
              
            </ng-container>
  
            <ng-container matColumnDef="select">
              <th mat-header-cell *matHeaderCellDef>
                <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
                [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false">
                </mat-checkbox>
              </th>
              <td mat-cell *matCellDef="let row">  
                <mat-checkbox  (change)="sendIDS($event.checked,row.review_id,posts.length)"
                              [checked]="sel">
                </mat-checkbox>
              </td>
            </ng-container>
         
    
            <!-- <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Delete</th>
              <td mat-cell *matCellDef="let row"><a [matTooltip]="(isHandset$ | async) ? '' : 'delete product'"
                matTooltipPosition="right"><mat-icon color="warn" style="cursor: pointer;" (click)="openDialog(row.product_id)" >delete</mat-icon></a></td>
            </ng-container> -->
       
            <!-- <mat-header-row *matHeaderRowDef="['id', 'user_name', 'product_name','product_image','review','rating','currentdate','currenttime','status','select']"></mat-header-row>
            <mat-row *matRowDef="let row; columns:  ['id', 'user_name', 'product_name','product_image','review','rating','currentdate','currenttime','status','select']"></mat-row> -->

         

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
    </div>
    <!-- <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
        <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">

    </mat-paginator>
  </div>
</div>

